GENDERS_GETNODENAME(3)

NAME
genders_getnodename - get the current node name

SYNOPSIS
#include <genders.h>

int genders_getnodename(genders_t handle, char *node, int len);

DESCRIPTION
genders_getnodename() retrieves the name of the node that the function is being called from. The node name returned is the shortened hostname of the node and is stored in the buffer pointed to be node. len should indicate the length of the buffer. The node returned by genders_getnodename() is the shortened hostname of the node.

To avoid passing in a buffer that is not large enough to store the node name, genders_getmaxnodelen(3) should be used to determine the minimum buffer size that should be used.

RETURN VALUES
On success, 0 is returned. On error, -1 is returned, and an error code is returned in handle. The error code can be retrieved via genders_errnum(3) , and a description of the error code can be retrieved via genders_strerror(3). Error codes are defined in genders.h.

ERRORS

GENDERS_ERR_NULLHANDLE
    The handle parameter is NULL. The genders handle must be created with genders_handle_create(3).

GENDERS_ERR_NOTLOADED
    genders_load_data(3) has not been called to load genders data.

GENDERS_ERR_OVERFLOW
    The buffer pointed to by node is not large enough to store the node name.

GENDERS_ERR_PARAMETERS
    An incorrect parameter has been passed in.

GENDERS_ERR_MAGIC
    handle has an incorrect magic number. handle does not point to a genders handle or handle has been destroyed by genders_handle_destroy(3).

FILES
/usr/include/genders.h

SEE ALSO
libgenders(3), genders_handle_create(3), genders_load_data(3), genders_getmaxnodelen(3), genders_errnum(3), genders_strerror(3)